import request from '@/utils/request'

// 查询工单信息列表
export function listOrderInfo(query) {
  return request({
    url: '/base/orderInfo/list',
    method: 'get',
    params: query
  })
}

// 查询工单信息详细
export function getOrderInfo(objId) {
  return request({
    url: '/base/orderInfo/' + objId,
    method: 'get'
  })
}

// 新增工单信息
export function addOrderInfo(data) {
  return request({
    url: '/base/orderInfo',
    method: 'post',
    data: data
  })
}

// 修改工单信息
export function updateOrderInfo(data) {
  return request({
    url: '/base/orderInfo',
    method: 'put',
    data: data
  })
}

// 删除工单信息
export function delOrderInfo(objId) {
  return request({
    url: '/base/orderInfo/' + objId,
    method: 'delete'
  })
}
